## llvm-defaults 0.64

=== debian/changelog ===
llvm-defaults (0.64) experimental; urgency=medium

  * Default to 21. Closes: #1110843.
  * Add the epoch for the dependencies. Closes: #803174, #1041246.
  * Don't build omp packages on riscv64 anymore.
  * Stop building libc++1, libc++abi1 and libomp5. These are now normal
    M-A: same library packages.
  * Stop building libclang1, not needed.
  * Build a libclang-rt-dev-win package.
  * Generate the control file the same way as done in the llvm-X.Y packages.
    Use the same *_ARCHS macros as defined in these packages.
    Builds again libclang-rt-dev on s390x. Closes: #1108683.
  * Build a libpolly-dev package. Closes: #1041321.
  * Move asan_symbolize symlink from clang to clang-tools.
  * clang-tools: Add hwasan_symbolize symlink.
  * clang: Add symlinks for clang-cl, clang-cpp and clang-scan-deps.
    Closes: #1100754, #1072379.
  * Still TODO: update for new/removed binaries and man pages.

 -- Matthias Klose <doko@debian.org>  Sat, 01 Nov 2025 11:55:26 +0100
