=== debian/control ===
Source: llvm-defaults
Section: devel
Priority: optional
Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Uploaders: Matthias Klose <doko@debian.org>, Sylvestre Ledru <sylvestre@debian.org>,
 Gianfranco Costamagna <locutusofborg@debian.org>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.13.9), lsb-release,
 m4, 
Vcs-Git: https://salsa.debian.org/pkg-llvm-team/llvm-defaults.git -b snapshot
Vcs-Browser: https://salsa.debian.org/pkg-llvm-team/llvm-defaults/

Package: llvm
Architecture: amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Depends: llvm-runtime (= ${binary:Version}), llvm-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
Description: Modular compiler and toolchain technologies
 LLVM is a collection of libraries and tools that make it easy to build
 compilers, optimizers, just-in-time code generators, and many other
 compiler-related programs.
 .
 This is a dependency package providing the default llvm package.

Package: llvm-runtime
Architecture: amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Depends: llvm-${pv:llvm}-runtime ${reqv:llvm}, ${misc:Depends}
Multi-Arch: same
Description: Modular compiler and toolchain technologies, bytecode interpreter
 LLVM is a collection of libraries and tools that make it easy to build
 compilers, optimizers, just-in-time code generators, and many other
 compiler-related programs.
 .
 This is a dependency package providing the default bytecode interpreter.

Package: llvm-dev
Architecture: amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Depends: llvm-runtime (= ${binary:Version}), llvm-${pv:llvm}-dev ${reqv:llvm}, ${misc:Depends}, llvm
Description: Modular compiler and toolchain technologies, libraries and headers
 LLVM is a collection of libraries and tools that make it easy to build
 compilers, optimizers, just-in-time code generators, and many other
 compiler-related programs.
 .
 This is a dependency package providing the default libraries and headers.

Package: libllvm-ocaml-dev
Architecture: amd64 arm64 ppc64el riscv64 s390x
Section: ocaml
Depends: llvm-runtime (= ${binary:Version}), libllvm-${pv:llvm}-ocaml-dev ${reqv:llvm}, ${misc:Depends}
Description: Modular compiler and toolchain technologies, bindings for OCaml
 LLVM is a collection of libraries and tools that make it easy to build
 compilers, optimizers, just-in-time code generators, and many other
 compiler-related programs.
 .
 This is a dependency package providing the default bindings for OCaml.

Package: clang
Architecture: amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Depends: clang-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
Replaces: clang (<< 3.2-1~exp2), clang-3.2, clang-3.3, clang-3.4 (<< 1:3.4.2-7~exp1),
 clang-3.5 (<< 1:3.5~+rc1-3~exp1)
Breaks: clang-3.2, clang-3.3, clang-3.4 (<< 1:3.4.2-7~exp1), clang-3.5 (<< 1:3.5~+rc1-3~exp1)
Description: C, C++ and Objective-C compiler (LLVM based), clang binary
 Clang project is a C, C++, Objective C and Objective C++ front-end
 for the LLVM compiler. Its goal is to offer a replacement to the GNU Compiler
 Collection (GCC).
 .
 Clang implements all of the ISO C++ 1998, 11, 14 and 17 standards and also
 provides most of the support of C++20.
 .
 This is a dependency package providing the default clang compiler.

Package: clang-tools
Architecture: amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Depends: clang-tools-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
Breaks: clang (<< 1:21.1)
Replaces: clang (<< 1:21.1)
Multi-Arch: same
Description: clang-based tools
 Clang project is a C, C++, Objective C and Objective C++ front-end
 for the LLVM compiler. Its goal is to offer a replacement to the GNU Compiler
 Collection (GCC).
 .
 Clang implements all of the ISO C++ 1998, 11, 14 and 17 standards and also
 provides most of the support of C++20.
 .
 This is a dependency package providing the clang tools package.

Package: clang-tidy
Architecture: amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Depends: clang-tidy-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
Breaks: clang (<< 1:3.6-28)
Replaces: clang (<< 1:3.6-28)
Description: clang-based C++ linter tool
 Provide an extensible framework for diagnosing and fixing typical programming
 errors, like style violations, interface misuse, or bugs that can be deduced
 via static analysis. clang-tidy is modular and provides a convenient interface
 for writing new checks.
 .
 This is a dependency package providing the clang tidy tool.

Package: clangd
Architecture: amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Depends: clangd-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
Breaks: clang-tools (<< 1:9.0-48)
Replaces: clang-tools (<< 1:9.0-48)
Multi-Arch: same
Description: Language server that provides IDE-like features to editors
 clangd understands your C++ code and adds smart features to your editor:
  - code completion
  - compile errors
  - go-to-definition
  - and more.
 .
 clangd is a language server that implements the Language Server Protocol;
 it can work with many editors through a plugin.
 .
 This is a dependency package providing clangd.

Package: clang-format
Architecture: amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Depends: clang-format-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
Breaks: clang (<< 1:3.6-28)
Replaces: clang (<< 1:3.6-28)
Multi-Arch: same
Description: Tool to format C/C++/Obj-C code
 Clang-format is both a library and a stand-alone tool with the goal of
 automatically reformatting C++ sources files according to configurable
 style guides. To do so, clang-format uses Clang's Lexer to transform an
 input file into a token stream and then changes all the whitespace around
 those tokens. The goal is for clang-format to both serve both as a user
 tool (ideally with powerful IDE integrations) and part of other
 refactoring tools, e.g. to do a reformatting of all the lines changed
 during a renaming.
 .
 This is a dependency package providing the clang format tool.

Package: libclang-cpp-dev
Architecture: amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends},
 libclang-cpp${pv:llvm}-dev ${reqv:llvm}
Description: C++ interface to the clang library
 Clang project is a C, C++, Objective C and Objective C++ front-end
 for the LLVM compiler. Its goal is to offer a replacement to the GNU Compiler
 Collection (GCC).
 .
 Clang implements all of the ISO C++ 1998, 11, 14 and 17 standards and also
 provides most of the support of C++20.
 .
 This is a dependency package providing the default Clang C++ library.

Package: libclang-dev
Architecture: amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends},
 libclang-${pv:llvm}-dev ${reqv:llvm}
Description: clang library - Development package
 Clang project is a C, C++, Objective C and Objective C++ front-end
 for the LLVM compiler. Its goal is to offer a replacement to the GNU Compiler
 Collection (GCC).
 .
 Clang implements all of the ISO C++ 1998, 11, 14 and 17 standards and also
 provides most of the support of C++20.
 .
 This is a dependency package providing the default libclang libraries and
 headers.

Package: libclang-rt-dev
Architecture: amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends},
 libclang-rt-${pv:llvm}-dev ${reqv:llvm}
Description: Compiler-rt - Development package
 This package provides various libraries:
 .
   * builtins - Simple libraries that provide implementation of the
     low-level target-specific hooks required by code generation
     and other runtime components.
   * sanitizer runtimes - AddressSanitizer, ThreadSanitizer,
     UndefinedBehaviorSanitizer, MemorySanitizer, LeakSanitizer
     DataFlowSanitizer, etc
   * profile - Library which is used to collect coverage information.
 .
 This is a dependency package providing the default compiler-rt libraries and
 headers.

Package: libclang-rt-dev-wasm32
Architecture: amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends},
 libclang-rt-${pv:llvm}-dev-wasm32 ${reqv:llvm}
Description: Compiler-rt - wasm32 builtins
 Provides the compiler-rt builtins for WebAssembly 32 bits
 .
 This is a dependency package providing the default libclang wasm32 library.

Package: libclang-rt-dev-wasm64
Architecture: amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends},
 libclang-rt-${pv:llvm}-dev-wasm64 ${reqv:llvm}
Description: Compiler-rt - wasm64 builtins
 Provides the compiler-rt builtins for WebAssembly 64 bits
 .
 This is a dependency package providing the default libclang wasm64 library.

Package: libc++-dev-wasm32
Architecture: amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends},
 libc++-${pv:llvm}-dev-wasm32
Description: LLVM C++ Standard library (WASI)
 libc++ is another implementation of the C++ standard library
 .
 Features and Goals
 .
   * Correctness as defined by the C++ standards.
   * Fast execution.
   * Minimal memory use.
   * Fast compile times.
   * ABI compatibility with gcc's libstdc++ for some low-level features such
     as exception objects, rtti and memory allocation.
   * Extensive unit tests.
 .
 This is a dependency package providing the default 32-bit WebAssembly
 System Interface.

Package: libclang-rt-dev-win
Architecture: amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends},
 libclang-rt-${pv:llvm}-dev-win ${reqv:llvm}
Description: Compiler-rt - MingW 64 builtins
 Provides the compiler-rt builtins for MingW 64
 .
 This is a dependency package providing the default libclang MingW 64 library.

Package: liblldb-dev
Architecture: amd64 arm64 armel armhf i386 loong64 m68k ppc64el riscv64 s390x x32
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends},
 liblldb-${pv:llvm}-dev ${reqv:llvm}
Breaks: lldb-11, python3-lldb-11
Multi-Arch: same
Description: Next generation, high-performance debugger, header files
 LLDB is a next generation, high-performance debugger. It is built as a set of
 reusable components which highly leverage existing libraries in the larger LLVM
 Project, such as the Clang expression parser and LLVM disassembler.
 .
 This package provides the header files to build extension over lldb.

Package: lldb
Architecture: amd64 arm64 armel armhf i386 loong64 m68k ppc64el riscv64 s390x x32
Depends: lldb-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: lldb-11, python3-lldb-11
Multi-Arch: same
Description: Next generation, high-performance debugger
