=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# version number of the defaults package
include /usr/share/dpkg/pkg-info.mk

VMAJOR	:= $(shell echo $(DEB_VERSION) | awk -F. '{print $$1}')
VMINOR	:= $(shell echo $(DEB_VERSION) | awk -F. '{print $$2}' | sed -e 's/\([0-9]*\).*/\1/')
REL_EXT	:= $(shell echo $(DEB_VERSION) | sed -e 's/^$(VMAJOR)\.$(VMINOR)//')

# llvm-defaults 0.1 is the first version for 2.7.
REL_NO_27	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.2 is the first version for 2.8.
REL_NO_28	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.7 is the first version for 2.9.
REL_NO_29	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.9 is the first version for 3.0.
REL_NO_30	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.10 is the first version for 3.1.
REL_NO_31	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.16 is the first version for 3.2.
REL_NO_32	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.21 is the first version for 3.3.
REL_NO_33	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.22 is the first version for 3.4.
REL_NO_34	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.24 is the first version for 3.5.
REL_NO_35	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.27 is the first version for 3.6.
REL_NO_36	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults (not in debian) is the first version for 3.7.
REL_NO_37	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.34 is the first version for 3.8.
REL_NO_38	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults (not in debian) is the first version for 3.9.
REL_NO_39	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.37 is the first version for 4.0.
REL_NO_40	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.41 is the first version for 5.0.
REL_NO_50	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.41 is the first version for 6.0.
REL_NO_60	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.44 is the first version for 7.0.
REL_NO_70	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.48 is the first version for 8.0.
REL_NO_80	:= $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.49 is the first version for 9.0.
REL_NO_90   := $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.50 is the first version for 10.
REL_NO_100   := $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.51 is the first version for 11.
REL_NO_110   := $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.52 is the first version for 12.
REL_NO_120   := $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.53 is the first version for 13.
REL_NO_130   := $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.53 is the first version for 14.
REL_NO_140   := $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.56 is the first version for 15.
REL_NO_150   := $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.57 is the first version for 16.
REL_NO_160   := $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.58 is the first version for 17.
REL_NO_170   := $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.59 is the first version for 18.
REL_NO_180   := $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.60 is the first version for 19.
REL_NO_190   := $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.60ubuntu1~ppa1 is the first version for 20.
REL_NO_200   := $(shell expr $(VMINOR) - 0)$(REL_EXT)

# llvm-defaults 0.63 is the first version for 21.
REL_NO_210   := $(shell expr $(VMINOR) - 0)$(REL_EXT)

# minimum required version

REQV            := (>= 1:21.1.4-4)

CURRENT_VERSION := 21.1.4

# architecture dependent variables
include /usr/share/dpkg/architecture.mk

# complete version number, including the release
CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_210)

distribution := $(shell lsb_release -is)
all_packages   := llvm llvm-runtime llvm-dev \
	clang clang-tools libclang-cpp-dev libclang-dev clang-format clang-tidy clangd \
	python3-clang libomp-dev libc++-dev libc++abi-dev libllvm-ocaml-dev libclang-rt-dev \
	libc++-dev-wasm32 libclang-rt-dev-wasm32 libclang-rt-dev-wasm64 libclang-rt-dev-win \
	flang
no_packages    :=

ANY_ARCHS := amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 m68k \
        mipsel mips64el powerpc ppc64 ppc64el riscv64 s390x sparc sparc64 x32

OFFLOAD_ARCHS = amd64 arm64 ppc64el
OMP_ARCHS = $(OFFLOAD_ARCHS) loong64 mips64el

HWASAN_ARCHS = amd64 arm64 riscv64 i386 x32

LLDB_ARCHS = amd64 arm64 armel armhf i386 loong64 m68k ppc64el riscv64 s390x x32
ifneq (,$(filter $(DEB_HOST_ARCH),$(LLDB_ARCHS)))
    all_packages += lldb liblldb-dev python3-lldb
else
    no_packages += lldb liblldb-dev python3-lldb
endif

LLD_ARCHS = $(ANY_ARCHS)
ifneq (,$(filter $(DEB_HOST_ARCH),$(LLD_ARCHS)))
    all_packages += lld liblld-dev
else
    no_packages += lld liblld-dev
endif

FLANG_ARCHS = amd64 arm64 ppc64el ppc64 sparc64 riscv64 loong64
ifneq (,$(filter $(DEB_HOST_ARCH),$(FLANG_ARCHS)))
    all_packages += flang libflang-dev
else
    no_packages += flang libflang-dev
endif

BOLT_ARCHS = amd64 arm64
ifneq (,$(filter $(DEB_HOST_ARCH),$(BOLT_ARCHS)))
    all_packages += llvm-bolt libbolt-dev
else
    no_packages += llvm-bolt libbolt-dev
endif

POLLY_ARCHS = $(ANY_ARCHS)
ifneq (,$(filter $(DEB_HOST_ARCH),$(POLLY_ARCHS)))
    all_packages += libpolly-dev
else
    no_packages += libpolly-dev
endif

# 64bit and i386
CLANG_RT_ARCHS = $(ANY_ARCHS)
ifneq (,$(filter $(DEB_HOST_ARCH),$(CLANG_RT_ARCHS)))
    #all_packages += libclang-rt-dev
else
    no_packages += libclang-rt-dev
endif


packages := $(filter-out $(no_packages), $(all_packages))

# derived version number (without release)
V_LLVM  := $(shell echo $(CV_LLVM) | sed 's/^[0-9]*://' | sed 's/-[^-]*$$//')

# number for the package name
PV_LLVM := $(shell echo $(V_LLVM) | awk -F. '{printf "%d", $$1}')

OS_NAME := Linux

ifeq ($(DEB_HOST_ARCH),hurd-i386)
    OS_NAME	:= Hurd
endif

ifneq (,$(filter $(DEB_HOST_ARCH),kfreebsd-i386 kfreebsd-amd64))
    OS_NAME	:= kFreeBSD
endif

README:
	m4 -DPACKAGES="$(packages)" \
	   -DOS_NAME=$(OS_NAME) \
	   -DDEB_ARCH=$(DEB_HOST_ARCH) \
	   -DPV_LLVM=$(PV_LLVM) \
	   debian/README.Debian.m4 > debian/README.Debian.tmp2
	uniq debian/README.Debian.tmp2 > debian/README.Debian.tmp
	rm -f debian/README.Debian.tmp2
	[ -e debian/README.Debian ] \
	  && cmp -s debian/README.Debian debian/README.Debian.tmp \
	  && rm -f debian/README.Debian.tmp && exit 0; \
	  mv debian/README.Debian.tmp debian/README.Debian
.PHONY: README

substvars:
	( \
	  echo 'version:llvm=$(CV_LLVM)'; \
	  echo 'pv:llvm=$(PV_LLVM)'; \
	  echo 'reqv:llvm=$(REQV)'; \
	) > debian/substvars.local
.PHONY: substvars
build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: control-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	rm -f *-stamp
	rm -f debian/substvars.local
	dh_clean

install: build README substvars
	dh_testdir
	dh_prep

	for p in $(packages); do \
	  cp -l debian/substvars.local debian/$$p.substvars; \
	done

	: # llvm
	dh_installdirs -pllvm \
		usr/bin usr/share/man/man1
	for bin in \
		bugpoint llc llvm-ar llvm-as llvm-bcanalyzer llvm-config \
		llvm-cov llvm-diff llvm-dis llvm-dwarfdump llvm-extract \
		llvm-link llvm-mc llvm-nm llvm-objdump \
		llvm-ranlib llvm-rtdyld llvm-size llvm-tblgen llvm-profdata \
		llvm-symbolizer dsymutil llvm-PerfectShuffle llvm-c-test llvm-cat \
		llvm-cfi-verify llvm-cvtres llvm-cxxdump llvm-cxxfilt llvm-dlltool \
		llvm-dwp llvm-exegesis llvm-lib llvm-lto llvm-lto2 llvm-mca llvm-modextract \
		llvm-mt llvm-objcopy llvm-opt-report llvm-pdbutil llvm-rc llvm-readelf \
		llvm-readobj llvm-split llvm-stress llvm-strings llvm-strip llvm-undname \
		llvm-xray sanstats opt llvm-addr2line llvm-reduce \
		; do \
		dh_link -pllvm \
			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
			/usr/bin/$$bin ; \
	done
	for bin in \
