## llvm-defaults 0.65

=== debian/changelog ===
llvm-defaults (0.65) experimental; urgency=medium

  * Don't track the binaries and man pages of packages manually, but
    build-depend on all binary packages having versioned binaries
    and man pages and create the symlinks based on the contents of
    the binary packages. Closes: #1110754.
  * Bump standards version.
  * Don't hard-code the ARCHS macros, but take them from the llvm-X.Y-dev
    package (/usr/lib/llvm-X.Y/share/debian_config.mk).
  * Require a llvm-21 1:21.1.6-1 build.
  * clang-tools: Add breaks/replaces for clang (asan_symbolizer move).
  * Adjust breaks/replaces for clang-scan-deps move. Addresses: #1121175.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Nov 2025 06:03:17 +0100
