=== debian/rules ===
--- 
+++ 
@@ -105,15 +105,22 @@
 
 # minimum required version
 
-REQV            := (>= 1:21.1.4-4)
-
-CURRENT_VERSION := 21.1.4
+LV		= 21
+REQV            = (>= 1:$(LV).1.6-1)
+CURRENT_VERSION = $(LV).1.6
+
+# complete version number, including the release
+CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_210)
 
 # architecture dependent variables
 include /usr/share/dpkg/architecture.mk
 
-# complete version number, including the release
-CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_210)
+# get some build information from llvm-toolchain-$(LV)
+ifeq (,$(wildcard /usr/lib/llvm-$(LV)/share/debian_config.mk))
+  $(error file /usr/lib/llvm-$(LV)/share/debian_config.mk not found, install llvm-$(LV)-dev)
+else
+include /usr/lib/llvm-$(LV)/share/debian_config.mk
+endif
 
 distribution := $(shell lsb_release -is)
 all_packages   := llvm llvm-runtime llvm-dev \
@@ -123,43 +130,38 @@
 	flang
 no_packages    :=
 
-ANY_ARCHS := amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 m68k \
-        mipsel mips64el powerpc ppc64 ppc64el riscv64 s390x sparc sparc64 x32
-
-OFFLOAD_ARCHS = amd64 arm64 ppc64el
-OMP_ARCHS = $(OFFLOAD_ARCHS) loong64 mips64el
-
-HWASAN_ARCHS = amd64 arm64 riscv64 i386 x32
-
-LLDB_ARCHS = amd64 arm64 armel armhf i386 loong64 m68k ppc64el riscv64 s390x x32
+LLVM_BUILD_DEPS = llvm-$(LV) $(REQV), llvm-$(LV)-runtime, llvm-$(LV)-dev, \
+	clang-$(LV), clang-tools-$(LV), clangd-$(LV), \
+	clang-tidy-$(LV), clang-format-$(LV), lld-$(LV), \
+	lldb-$(LV) [$(LLDB_ARCHS)], \
+	flang-$(LV) [$(FLANG_ARCHS)], \
+	bolt-$(LV) [$(BOLT_ARCHS)], \
+
+
 ifneq (,$(filter $(DEB_HOST_ARCH),$(LLDB_ARCHS)))
     all_packages += lldb liblldb-dev python3-lldb
 else
     no_packages += lldb liblldb-dev python3-lldb
 endif
 
-LLD_ARCHS = $(ANY_ARCHS)
 ifneq (,$(filter $(DEB_HOST_ARCH),$(LLD_ARCHS)))
     all_packages += lld liblld-dev
 else
     no_packages += lld liblld-dev
 endif
 
-FLANG_ARCHS = amd64 arm64 ppc64el ppc64 sparc64 riscv64 loong64
 ifneq (,$(filter $(DEB_HOST_ARCH),$(FLANG_ARCHS)))
     all_packages += flang libflang-dev
 else
     no_packages += flang libflang-dev
 endif
 
-BOLT_ARCHS = amd64 arm64
 ifneq (,$(filter $(DEB_HOST_ARCH),$(BOLT_ARCHS)))
     all_packages += llvm-bolt libbolt-dev
 else
     no_packages += llvm-bolt libbolt-dev
 endif
 
-POLLY_ARCHS = $(ANY_ARCHS)
 ifneq (,$(filter $(DEB_HOST_ARCH),$(POLLY_ARCHS)))
     all_packages += libpolly-dev
 else
@@ -167,7 +169,6 @@
 endif
 
 # 64bit and i386
-CLANG_RT_ARCHS = $(ANY_ARCHS)
 ifneq (,$(filter $(DEB_HOST_ARCH),$(CLANG_RT_ARCHS)))
     #all_packages += libclang-rt-dev
 else
@@ -227,6 +228,20 @@
 	rm -f debian/substvars.local
 	dh_clean
 
+# link_bin_and_man(<unversioned pkg>, <versioned pkg>)
+define link_bin_and_man
+	@echo 'link_bin_and_man $(1) -> $(2)'
+	dpkg -l $(2) 2>/dev/null | grep '^ii'
+	for f in $$(dpkg -L $(2)); do \
+	  case $$f in /usr/bin/*-$(LV)|/usr/share/man/man1/*-$(LV).1.gz) \
+	    lnk=$$(echo $$f | sed -e 's/-$(LV)//'); \
+	    mkdir -p debian/$(strip $(1))/$$(dirname $$lnk); \
+	    echo ln -s $$(basename $$f) debian/$(strip $(1))$$lnk; \
+	    ln -s $$(basename $$f) debian/$(strip $(1))$$lnk;; \
+	  esac; \
+	done
+endef
+
 install: build README substvars
 	dh_testdir
 	dh_prep
@@ -236,22 +251,15 @@
 	done
 
 	: # llvm
-	dh_installdirs -pllvm \
-		usr/bin usr/share/man/man1
-	for bin in \
-		bugpoint llc llvm-ar llvm-as llvm-bcanalyzer llvm-config \
-		llvm-cov llvm-diff llvm-dis llvm-dwarfdump llvm-extract \
-		llvm-link llvm-mc llvm-nm llvm-objdump \
-		llvm-ranlib llvm-rtdyld llvm-size llvm-tblgen llvm-profdata \
-		llvm-symbolizer dsymutil llvm-PerfectShuffle llvm-c-test llvm-cat \
-		llvm-cfi-verify llvm-cvtres llvm-cxxdump llvm-cxxfilt llvm-dlltool \
-		llvm-dwp llvm-exegesis llvm-lib llvm-lto llvm-lto2 llvm-mca llvm-modextract \
-		llvm-mt llvm-objcopy llvm-opt-report llvm-pdbutil llvm-rc llvm-readelf \
-		llvm-readobj llvm-split llvm-stress llvm-strings llvm-strip llvm-undname \
-		llvm-xray sanstats opt llvm-addr2line llvm-reduce \
-		; do \
-		dh_link -pllvm \
-			/usr/lib/llvm-$(PV_LLVM)/bin/$$bin \
-			/usr/bin/$$bin ; \
-	done
-	for bin in \
+	dh_installdirs -pllvm
+	$(call link_bin_and_man, llvm, llvm-$(LV))
+
+	: # clang
+	$(call link_bin_and_man, clang, clang-$(LV))
+
+	: # clang-tools
+	$(call link_bin_and_man, clang-tools, clang-tools-$(LV))
+
+	: # clang-format
+	$(call link_bin_and_man, clang-format, clang-format-$(LV))
+	dh_link -pclang-format \
