## llvm-defaults 0.66

=== debian/changelog ===
llvm-defaults (0.66) experimental; urgency=medium

  * d/rules: Guard lldb actions with LLDB_ARCHS conditional.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Nov 2025 07:18:41 +0100
