=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, Sylvestre Ledru <sylvestre@debian.org>,
  Gianfranco Costamagna <locutusofborg@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.13.9), lsb-release,
- m4, 
+ m4, llvm-21 (>= 1:21.1.6-1), llvm-21-runtime, llvm-21-dev, clang-21, clang-tools-21, clangd-21, clang-tidy-21, clang-format-21, lld-21, lldb-21 [amd64 arm64 armel armhf i386 loong64 m68k ppc64el riscv64 s390x x32], flang-21 [amd64 arm64 ppc64el ppc64 sparc64 riscv64 loong64], bolt-21 [amd64 arm64],
 Vcs-Git: https://salsa.debian.org/pkg-llvm-team/llvm-defaults.git -b snapshot
 Vcs-Browser: https://salsa.debian.org/pkg-llvm-team/llvm-defaults/
 
@@ -56,9 +56,11 @@
 Package: clang
 Architecture: amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc sparc64 x32
 Depends: clang-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
-Replaces: clang (<< 3.2-1~exp2), clang-3.2, clang-3.3, clang-3.4 (<< 1:3.4.2-7~exp1),
+Replaces: clang-tools (<< 1:21.1.5-1~),
+ clang (<< 3.2-1~exp2), clang-3.2, clang-3.3, clang-3.4 (<< 1:3.4.2-7~exp1),
  clang-3.5 (<< 1:3.5~+rc1-3~exp1)
-Breaks: clang-3.2, clang-3.3, clang-3.4 (<< 1:3.4.2-7~exp1), clang-3.5 (<< 1:3.5~+rc1-3~exp1)
+Breaks: clang-tools (<< 1:21.1.5-1~),
+ clang-3.2, clang-3.3, clang-3.4 (<< 1:3.4.2-7~exp1), clang-3.5 (<< 1:3.5~+rc1-3~exp1)
 Description: C, C++ and Objective-C compiler (LLVM based), clang binary
  Clang project is a C, C++, Objective C and Objective C++ front-end
  for the LLVM compiler. Its goal is to offer a replacement to the GNU Compiler
@@ -72,8 +74,8 @@
 Package: clang-tools
 Architecture: amd64 arm64 armel armhf hurd-amd64 hurd-i386 i386 loong64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc sparc64 x32
 Depends: clang-tools-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
-Breaks: clang (<< 1:21.1)
-Replaces: clang (<< 1:21.1)
+Breaks: clang (<< 1:21.1.5-1~)
+Replaces: clang (<< 1:21.1.5~)
 Multi-Arch: same
 Description: clang-based tools
  Clang project is a C, C++, Objective C and Objective C++ front-end
@@ -247,12 +249,3 @@
  reusable components which highly leverage existing libraries in the larger LLVM
  Project, such as the Clang expression parser and LLVM disassembler.
  .
- This package provides the header files to build extension over lldb.
-
-Package: lldb
-Architecture: amd64 arm64 armel armhf i386 loong64 m68k ppc64el riscv64 s390x x32
-Depends: lldb-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Breaks: lldb-11, python3-lldb-11
-Multi-Arch: same
-Description: Next generation, high-performance debugger
