## llvm-defaults 0.67

=== debian/changelog ===
llvm-defaults (0.67) experimental; urgency=medium

  * Limit lld build to LLD_ARCHS.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Nov 2025 08:23:24 +0100
