=== debian/rules ===
--- 
+++ 
@@ -132,7 +132,8 @@
 
 LLVM_BUILD_DEPS = llvm-$(LV) $(REQV), llvm-$(LV)-runtime, llvm-$(LV)-dev, \
 	clang-$(LV), clang-tools-$(LV), clangd-$(LV), \
-	clang-tidy-$(LV), clang-format-$(LV), lld-$(LV), \
+	clang-tidy-$(LV), clang-format-$(LV), \
+        lld-$(LV) [$(LLD_ARCHS)], \
 	lldb-$(LV) [$(LLDB_ARCHS)], \
 	flang-$(LV) [$(FLANG_ARCHS)], \
 	bolt-$(LV) [$(BOLT_ARCHS)], \
@@ -262,4 +263,3 @@
 
 	: # clang-format
 	$(call link_bin_and_man, clang-format, clang-format-$(LV))
-	dh_link -pclang-format \
