## llvm-defaults 0.68

=== debian/changelog ===
llvm-defaults (0.68) experimental; urgency=medium

  * Limit lld build to LLD_ARCHS.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Nov 2025 20:53:14 +0100
