## llvm-defaults 0.69

=== debian/changelog ===
llvm-defaults (0.69) unstable; urgency=medium

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Dec 2025 23:27:25 +0100
