## llvm-defaults 0.70

=== debian/changelog ===
llvm-defaults (0.70) unstable; urgency=medium

  * Add lldb-dap symlimk
    Thanks Norbert Lange for the patch
  * Fix Vcs-Git
  * Fix old-fsf-address-in-copyright-file

  [ Kasper Kantz ]
  * Fix the default lldb selection on riscv64

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 26 Dec 2025 00:19:36 +0100
