=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.13.9), lsb-release,
  m4, llvm-21 (>= 1:21.1.6-1), llvm-21-runtime, llvm-21-dev, clang-21, clang-tools-21, clangd-21, clang-tidy-21, clang-format-21, lld-21 [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x sparc m68k ppc64 sparc64 x32 riscv64 loong64], lldb-21 [amd64 arm64 armel armhf i386 loong64 m68k ppc64el riscv64 s390x x32], flang-21 [amd64 arm64 ppc64el ppc64 sparc64 riscv64 loong64], bolt-21 [amd64 arm64],
-Vcs-Git: https://salsa.debian.org/pkg-llvm-team/llvm-defaults.git -b snapshot
+Vcs-Git: https://salsa.debian.org/pkg-llvm-team/llvm-defaults.git
 Vcs-Browser: https://salsa.debian.org/pkg-llvm-team/llvm-defaults/
 
 Package: llvm
